- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | Private Attributes | Friends | List of all members
librevenge::Stream Class Reference

`#include <RVNGOLEStream.h>`

## Public Member Functions
| Stream (Storage *storage, const std::string &name)
| Creates a new stream. More...
| ~Stream ()
| Destroys the stream. More...
unsigned long | size ()
| Returns the stream size. More...
unsigned long | read (unsigned char *data, unsigned long maxlen)
| Reads a block of data. More...

## Private Member Functions
| Stream (const Stream &)
Stream & | operator= (const Stream &)

## Private Attributes
IStream * | m_io

## Friends
class | Storage
class | IStorage

## Constructor & Destructor Documentation

librevenge::Stream::Stream | ( | librevenge::Storage * | storage,
|  | const std::string & | name
| ) |  |

Creates a new stream.

librevenge::Stream::~Stream | ( |  | ) |

Destroys the stream.

librevenge::Stream::Stream | ( | const Stream & |  | ) |
| private

## Member Function Documentation

Stream& librevenge::Stream::operator= | ( | const Stream & |  | ) |
| private

unsigned long librevenge::Stream::read | ( | unsigned char * | data,
|  | unsigned long | maxlen
| ) |  |

Reads a block of data.

Referenced by librevenge::RVNGFileStream::getSubStreamByName(), and librevenge::RVNGStringStream::getSubStreamByName().

unsigned long librevenge::Stream::size | ( |  | ) |

Returns the stream size.

Referenced by librevenge::RVNGFileStream::getSubStreamByName(), and librevenge::RVNGStringStream::getSubStreamByName().

## Friends And Related Function Documentation

friend class IStorage
| friend

friend class Storage
| friend

## Member Data Documentation

IStream* librevenge::Stream::m_io
| private

Referenced by read(), size(), Stream(), and ~Stream().

The documentation for this class was generated from the following files:

- RVNGOLEStream.h
- RVNGOLEStream.cpp